
QGIS Application - Bug report #8365

Tips window causes two taskbar icons to appear

2013-07-26 09:24 AM - Aren Cambre

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Windows 7 x64 Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17142

Description

When I start up QGIS and the QGIS Tips! window appears, it causes two icons to appear in the Windows taskbar. Offhand, I can't think

of any other dialog in QGIS that does this.

Expected behavior: 1 taskbar icon per instances of QGIS, regardless of number of dialogs open.

Related issues:

Related to QGIS Application - Bug report # 8312: Startup tips are in a modal ... Closed 2013-07-16

Associated revisions

Revision 4c24792b - 2015-12-30 10:44 PM - Sebastian Dietrich 

initialize the tip window with the correct parent

eliminates the extra icon in the taskbar (fixes #8365)

establishes correct modal behaviour (fixes #8312)

Revision 95b26663 - 2016-01-27 09:22 PM - Nathan Woodrow

Merge pull request #2509 from SebDieBln/FixTipWindow

initialize tip window with correct parent widget (fixes #8312) (fixes #8365)

History

#1 - 2014-01-30 11:40 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#2 - 2015-11-28 08:10 AM - Sebastian Dietrich

See PR 2509 for a solution that also fixes #8312.

#3 - 2016-01-12 04:27 PM - Sebastian Dietrich

- Pull Request or Patch supplied changed from No to Yes

- % Done changed from 0 to 100

#4 - 2016-01-27 12:22 PM - Nathan Woodrow

- Status changed from Open to Closed
https://github.com/qgis/QGIS/pull/2509


Fixed in changeset commit:"95b26663f6888764b4dcd7bfbdbd3be72995a074".
